Package io.dapr.v1

# Interface DaprProtos.GetSecretResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetSecretResponse`, `DaprProtos.GetSecretResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.GetSecretResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsData(String key)`
data is the secret value.
`Map<String,String>`
`getData()`
Deprecated.
`int`
`getDataCount()`
data is the secret value.
`Map<String,String>`
`getDataMap()`
data is the secret value.
`String`
`getDataOrDefault(String key, String defaultValue)`
data is the secret value.
`String`
`getDataOrThrow(String key)`
data is the secret value.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDataCount

int getDataCount()

     data is the secret value. Some secret store, such as kubernetes secret
     store, can save multiple secrets for single secret key.

`map<string, string> data = 1;`

### containsData

boolean containsData(String key)

     data is the secret value. Some secret store, such as kubernetes secret
     store, can save multiple secrets for single secret key.

`map<string, string> data = 1;`

### getData

@Deprecated Map<String,String> getData()
Deprecated.
Use `getDataMap()` instead.

### getDataMap

Map<String,String> getDataMap()

     data is the secret value. Some secret store, such as kubernetes secret
     store, can save multiple secrets for single secret key.

`map<string, string> data = 1;`

### getDataOrDefault

String getDataOrDefault(String key, String defaultValue)

     data is the secret value. Some secret store, such as kubernetes secret
     store, can save multiple secrets for single secret key.

`map<string, string> data = 1;`

### getDataOrThrow

String getDataOrThrow(String key)

     data is the secret value. Some secret store, such as kubernetes secret
     store, can save multiple secrets for single secret key.

`map<string, string> data = 1;`